Bug 65152 - New XFree86-GL and XFree86-GLU rpms?
New XFree86-GL and XFree86-GLU rpms?
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-05-18 12:01 EDT by hjl
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-20 18:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description hjl 2002-05-18 12:01:19 EDT
It will be nice to support external Mesa packages
with XFree86-GL and XFree86-GLU rpms.
Comment 1 Alexei Podtelezhnikov 2002-05-18 17:13:56 EDT
I think they call them "glut-blah-blah.rpm" in 7.3. Too bad they don't get 
installed by default, by I have no problem running GL applications after 
installing those.
Comment 2 Mike A. Harris 2002-05-20 18:55:14 EDT
This change is indeed planned for the next Red Hat Linux release.  The
main goal being to facilitate the replacement of the libGL and libGLU
libraries with other vendor supplied ones such as Nvidia et al.

apodtele: Just a note that "glut" is libGLUT, which is a separate library
from both libGL and libGLU.

Keep an eye on Rawhide for the next 2-3 weeks, and I'll likely make this
change soon.

Comment 3 Mike A. Harris 2002-05-28 05:14:14 EDT
XFree86-4.2.0-50.5 contains 2 new subpackages:  XFree86-Mesa-libGL and

The new packages will appear in rawhide shortly.

Note You need to log in before you can comment on or make changes to this bug.